package players {
	import mx.graphics.IFill;

	public class PlayerModel {
		//Position
		[Bindable] public var x:int;
		[Bindable] public var y:int;
		
		//Radius
		[Bindable] public var radius:int;
		
		//Fill color
		[Bindable] public var fill:IFill;	
		
		//Velocity
		[Bindable] public var xVelocity:int;
		[Bindable] public var yVelocity:int;
		
		public function PlayerModel(_x:int, _y:int, _radius:int, _fill:IFill, _xVelocity:int, _yVelocity:int) {
			this.x = _x;
			this.y = _y;
			this.radius = _radius;
			this.fill = _fill;
			this.xVelocity = _xVelocity;
			this.yVelocity = _yVelocity;
		}
	}
}